Package org.jbpm.casemgmt.impl.audit

## Class CaseRoleAssignmentLogDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>
      - - org.jbpm.casemgmt.impl.audit.CaseRoleAssignmentLogDeleteBuilderImpl

- All Implemented Interfaces:
    `CaseRoleAssignmentLogDeleteBuilder`, `org.kie.internal.query.ParametrizedQueryBuilder<CaseRoleAssignmentLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<CaseRoleAssignmentLogDeleteBuilder>`

      public class CaseRoleAssignmentLogDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>
      implements CaseRoleAssignmentLogDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `caseDefId` |

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseRoleAssignmentLogDeleteBuilderImpl​(JPAAuditLogService jpaService)` |
    `CaseRoleAssignmentLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractAuditDeleteBuilderImpl.Subquery` | `applyParameters​(AbstractAuditDeleteBuilderImpl.Subquery subquery)` |
    `protected String` | `getQueryTable()` |
    `protected Class<?>` | `getQueryType()` |
    `protected AbstractAuditDeleteBuilderImpl.Subquery` | `getSubQuery()` |
    `CaseRoleAssignmentLogDeleteBuilder` | `inCaseDefId​(String caseDefId)` |
    `protected boolean` | `isSubquerySupported()` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `build, checkIfNull, date, dateRangeEnd, dateRangeStart, ensureDateNotTimestamp, getJpaAuditLogService, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Field Detail

    - #### caseDefId

          protected String caseDefId

  - ### Constructor Detail

    - #### CaseRoleAssignmentLogDeleteBuilderImpl

          public CaseRoleAssignmentLogDeleteBuilderImpl​(JPAAuditLogService jpaService)

    - #### CaseRoleAssignmentLogDeleteBuilderImpl

          public CaseRoleAssignmentLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### isSubquerySupported

          protected boolean isSubquerySupported()

      Overrides:
        `isSubquerySupported` in class `AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>`

    - #### getSubQuery

          protected AbstractAuditDeleteBuilderImpl.Subquery getSubQuery()

      Overrides:
        `getSubQuery` in class `AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>`

    - #### applyParameters

          protected AbstractAuditDeleteBuilderImpl.Subquery applyParameters​(AbstractAuditDeleteBuilderImpl.Subquery subquery)

      Overrides:
        `applyParameters` in class `AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>`

    - #### inCaseDefId

          public CaseRoleAssignmentLogDeleteBuilder inCaseDefId​(String caseDefId)

      Specified by:
        `inCaseDefId` in interface `CaseRoleAssignmentLogDeleteBuilder`

    - #### getQueryType

          protected Class<?> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<CaseRoleAssignmentLogDeleteBuilder>`